# -*- encoding: utf-8 -*-
# stub: google-cloud-bigquery 1.31.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-bigquery".freeze
  s.version = "1.31.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mike Moore".freeze, "Chris Smith".freeze]
  s.date = "2023-02-24"
  s.description = "google-cloud-bigquery is the official library for Google BigQuery.".freeze
  s.email = ["mike@blowmage.com".freeze, "quartzmo@gmail.com".freeze]
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "LICENSE".freeze, "LOGGING.md".freeze, "OVERVIEW.md".freeze, "TROUBLESHOOTING.md".freeze, "lib/google-cloud-bigquery.rb".freeze, "lib/google/cloud/bigquery.rb".freeze, "lib/google/cloud/bigquery/argument.rb".freeze, "lib/google/cloud/bigquery/convert.rb".freeze, "lib/google/cloud/bigquery/copy_job.rb".freeze, "lib/google/cloud/bigquery/credentials.rb".freeze, "lib/google/cloud/bigquery/data.rb".freeze, "lib/google/cloud/bigquery/dataset.rb".freeze, "lib/google/cloud/bigquery/dataset/access.rb".freeze, "lib/google/cloud/bigquery/dataset/list.rb".freeze, "lib/google/cloud/bigquery/encryption_configuration.rb".freeze, "lib/google/cloud/bigquery/external.rb".freeze, "lib/google/cloud/bigquery/external/bigtable_source.rb".freeze, "lib/google/cloud/bigquery/external/bigtable_source/column.rb".freeze, "lib/google/cloud/bigquery/external/bigtable_source/column_family.rb".freeze, "lib/google/cloud/bigquery/external/csv_source.rb".freeze, "lib/google/cloud/bigquery/external/data_source.rb".freeze, "lib/google/cloud/bigquery/external/json_source.rb".freeze, "lib/google/cloud/bigquery/external/sheets_source.rb".freeze, "lib/google/cloud/bigquery/extract_job.rb".freeze, "lib/google/cloud/bigquery/insert_response.rb".freeze, "lib/google/cloud/bigquery/job.rb".freeze, "lib/google/cloud/bigquery/job/list.rb".freeze, "lib/google/cloud/bigquery/load_job.rb".freeze, "lib/google/cloud/bigquery/model.rb".freeze, "lib/google/cloud/bigquery/model/list.rb".freeze, "lib/google/cloud/bigquery/policy.rb".freeze, "lib/google/cloud/bigquery/project.rb".freeze, "lib/google/cloud/bigquery/project/list.rb".freeze, "lib/google/cloud/bigquery/query_job.rb".freeze, "lib/google/cloud/bigquery/routine.rb".freeze, "lib/google/cloud/bigquery/routine/list.rb".freeze, "lib/google/cloud/bigquery/schema.rb".freeze, "lib/google/cloud/bigquery/schema/field.rb".freeze, "lib/google/cloud/bigquery/service.rb".freeze, "lib/google/cloud/bigquery/standard_sql.rb".freeze, "lib/google/cloud/bigquery/table.rb".freeze, "lib/google/cloud/bigquery/table/async_inserter.rb".freeze, "lib/google/cloud/bigquery/table/list.rb".freeze, "lib/google/cloud/bigquery/time.rb".freeze, "lib/google/cloud/bigquery/version.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby/tree/master/google-cloud-bigquery".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for Google BigQuery".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<google-apis-bigquery_v2>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<googleauth>.freeze, ["< 2"])
    s.add_runtime_dependency(%q<google-cloud-core>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<mini_mime>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<autotest-suffix>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<yard-doctest>.freeze, ["~> 0.1.13"])
  else
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-apis-bigquery_v2>.freeze, ["~> 0.1"])
    s.add_dependency(%q<googleauth>.freeze, ["< 2"])
    s.add_dependency(%q<google-cloud-core>.freeze, ["~> 1.2"])
    s.add_dependency(%q<mini_mime>.freeze, ["~> 1.0"])
    s.add_dependency(%q<autotest-suffix>.freeze, ["~> 1.1"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_dependency(%q<yard-doctest>.freeze, ["~> 0.1.13"])
  end
end
